<html>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <link src="{{ url_for('static', filename='styles/validation.css') }}" type="text/css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>

    <script src="{{ url_for('static', filename='js/edit.js') }}" type="text/javascript"></script>
</head>
<body style="overflow-x:hidden;">
<div class="row justify-content-center">
    <img src="{{url_for('static',filename='logo.jpg')}}" style="width:8rem;height:4rem;">
</div>
<nav class="navbar navbar-dark bg-primary">
    <a class="navbar-brand" style="font-weight:bold;">UPDATE DETAILS</a>
</nav>
<a href="{{url_for('client',username=username)}}" style="position:absolute;top:6rem;left:20px;font-weight:bold;color:white;text-decoration:none;">< Back</a>
<div class="container">
    <div class="card">
    <div class="card-header"></div>
    <div class="card-body" style="padding-left:20%;">
    <form id="updateform" method="post" class="needs-validation">
        <div class="form-group row">
            <label class="col-sm-3 col-form-label">Webhook</label>
            <div class="col-sm-6">
                <div class="form-check form-check-inline" id="webhook">
                </div>
            </div>
        </div>
        <div class="form-group row" id="event">
            <label class="col-sm-3 col-form-label">Events</label>
            <div class="col-sm-6">
                <select  multiple data-style="bg-white px-4 py-3 shadow-sm form-control" class="selectpicker w-50" name="events[]"  >
                    <option value="Data_Ingested_New" >New</option>
                    <option value="Data_Ingested_Incremental">Increment</option>
                    <option value="Algo360_Score_Calculated">Score</option>
                    <option value="Algo360_Process_Started">Start</option>
                    <option value="Algo360_Process_Finished">Finish</option>
                </select>
            </div>
        </div>

        <div class="container" id="env">
        <div class="form-group row" >
            <label class="col-sm-3 col-form-label">Environment</label>
            <div class="col-sm-6">
                <div class="form-check form-check-inline">
                    <input type="checkbox" id="uat" class="form-check-input" name="env[]" value="uat" onclick="toggleuat();" />
                    <label class="form-check-label">UAT</label>
                </div>
                <div class="form-check form-check-inline">
                    <input type="checkbox" id="prod" class="form-check-input" name="env[]" value="prod" onclick="toggleprod();" />
                    <label class="form-check-label">Prod</label>
                </div>
            </div>
        </div>
        <div class="form-group row" id="uatdiv">
            <label class="col-sm-3 col-form-label">UAT URL</label>
            <div class="col-sm-4">
            <input id="uaturl" class="form-control" pattern="^(http[s]?:\/\/)?([-\w\d]+)(\.[-\w\d]+)*(\.([a-zA-Z]{2,5}|[\d]{1,3})){1,2}(\/([-~%\.\(\)\w\d]*\/*)*(#[-\w\d]+)?)?$" title="Enter URL" type="url" name="uaturl" placeholder="UAT URL">
            </div>
        </div>
        <div class="form-group row" id="proddiv">
            <label class="col-sm-3 col-form-label">Prod URL</label>
            <div class="col-sm-4">
            <input id="produrl" class="form-control" pattern="^(http[s]?:\/\/)?([-\w\d]+)(\.[-\w\d]+)*(\.([a-zA-Z]{2,5}|[\d]{1,3})){1,2}(\/([-~%\.\(\)\w\d]*\/*)*(#[-\w\d]+)?)?$" title="Enter URL" type="url" name="produrl" placeholder="Prod URL">
            </div>
        </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-3 col-form-label">Cohort Enable</label>
            <div class="col-sm-6">
                <div class="form-check form-check-inline">
                <input type="radio"  name="cohort" value="false" class="form-check-input" />
                <label class="form-check-label">False</label>
                <input type="radio" name="cohort" value="true" class="form-check-input" />
                <label class="form-check-label">True</label>
                </div>
            </div>
        </div>
        <div class="col-sm-6 offset-sm-4">
            <input type='submit' class="btn btn-primary" onclick="update();">
        </div>

    </form>
    </div>
    </div>
</div>

</body>
</html>